Page MenuHomePhabricator

[PowerPC] Fix pattern for DCBFL/DCBFLP instrinsics.
ClosedPublic

Authored by anil9 on May 18 2020, 12:33 PM.

Details

Summary

The previous implementation used "asm parser only" pseudo-instructions in their output patterns. Those are not meant to emit code and will caused crashes when built with -filetype=obj.

Diff Detail

Event Timeline

anil9 created this revision.May 18 2020, 12:33 PM
lkail accepted this revision.May 25 2020, 4:02 PM
lkail added a subscriber: lkail.

LGTM.

llvm/test/CodeGen/PowerPC/dcbf.ll
7

nit: Maybe we can have a more verbose name for check-prefix.

This revision is now accepted and ready to land.May 25 2020, 4:02 PM
anil9 marked an inline comment as done.Jun 2 2020, 4:17 AM
anil9 added inline comments.
llvm/test/CodeGen/PowerPC/dcbf.ll
7

I followed the same convention as other test cases which check assembly.

This revision was automatically updated to reflect the committed changes.